> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update custom column values

> Update custom column values for companies. Fully replaces existing data for the specified company and column.

**Permissions:**
- User must be authenticated via OAuth.
- User must have access to the companies.
- User must have ADMIN or EDITOR role.



## OpenAPI

````yaml put /custom-columns/values/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /custom-columns/values/:
    put:
      tags:
        - custom-columns
      summary: Update custom column values
      description: >-
        Update custom column values for companies. Fully replaces existing data
        for the specified company and column.


        **Permissions:**

        - User must be authenticated via OAuth.

        - User must have access to the companies.

        - User must have ADMIN or EDITOR role.
      operationId: custom-columns_values_update
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  company_slug:
                    type: string
                    description: Company Slug
                  company_id:
                    type: string
                    description: Company ID
                  custom_column_id:
                    type: string
                    description: Custom Column ID
                  value:
                    type: string
                    description: Value
                  selected_options:
                    type: array
                    description: Selected Options
                    items:
                      type: object
                      properties:
                        option_id:
                          type: string
                          description: Custom Column Option ID
                        value:
                          type: string
                          description: Value
                        color:
                          type: string
                          description: Color Code
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    company_slug:
                      type: string
                      description: Company Slug
                    company_id:
                      type: string
                      description: Company ID
                    custom_column_id:
                      type: string
                      description: Custom Column ID
                    value:
                      type: string
                      description: Value
                    selected_options:
                      type: array
                      description: Selected Options
                      items:
                        type: object
                        properties:
                          option_id:
                            type: string
                            description: Custom Column Option ID
                          value:
                            type: string
                            description: Value
                          color:
                            type: string
                            description: Color Code
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````